Bug Hunting Session
Bug 42949 - accelerating compile times by removing unnecessary header #include - See Comment 57
Summary: accelerating compile times by removing unnecessary header #include - See Comm...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.3.0 target:5.4...
Keywords: difficultyInteresting, easyHack, skillCpp, topicCleanup
Depends on: 111081
Blocks: Compiling
  Show dependency treegraph
 
Reported: 2011-11-15 06:43 UTC by Michael Meeks
Modified: 2019-12-06 10:54 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2011-11-15 06:43:23 UTC
One of our problems is that compile times are too slow; part of the reason for this is header explosion - such that we parse and compile the same things again and again for each module. If we can identify headers that are included un-necessarily many times, then we should be able to accelerate the build for everyone.

After a build - we have full library dependencies in .d files, such that:

cat workdir/unxlngi6.pro/Dep/LinkTarget/Library/*.d | grep '^ ' | sed 's/\\.*//' | sort | uniq -c | sort -n > /tmp/headers.includes
for a in `cat /tmp/headers.includes`; do if test -f /opt/libreoffice/core/$a; then wc -c $a; else echo -n "$a        "; fi; done > /tmp/headers.csv

ONO. should give us a /tmp/headers.csv that has the size and include count of each header in the build [ presumably a faster, perl tool could be used to generate this ;-].

By multiplying these, we can get an estimate of the 'weight' that a header provides to the build; hence:

bytes to parse	include count size  filename
741439564	4454	166466	/opt/libreoffice/core/solver/unxlngi6.pro/inc/boost/preprocessor/seq/fold_left.hpp														
416181480	6754	61620	/opt/libreoffice/core/solver/unxlngi6.pro/inc/rtl/ustring.hxx															
Shows we parse 740Mb of the same file over 4000 includes - for the set of files I grokked. I up-loaded a spreadsheet here: http://users.freedesktop.org/~michael/headers.ods - but the include counts look suspiciously low here.

Anyhow - having found our problem headers; we then need to work out how we can reduce their use - preferably by finding out where such headers are included from, and how to reduce their use [ by adding class Foo; forward definitions eg. ].

Clearly that's not going to work for eg. the string classes which are used everywhere, but quite possibly we can reduce the boost/ related wasteage, as well as help to identify future areas for improvement (eg. aggregating OutputDevice from Window, rather than including it :-)
Comment 1 Björn Michaelsen 2011-11-18 03:31:20 UTC
Presumably there some headers also included without being used at all in the cxx (e.g. by splitting a cxx file or other quick refactor work). One could simply clear out one header (starting with the important/heavy ones as per description) and (at least in the new build system) do a "make -k". 

After that one should have a close look at the files that even compiled with the header being empty -- chances are, they do not need the include at all.
Comment 2 Michael Meeks 2011-11-18 07:40:00 UTC Comment hidden (obsolete)
Comment 3 August Sodora 2011-11-19 18:34:25 UTC
The one that looks the most promising to me is http://code.google.com/p/include-what-you-use/ but I am having difficulty getting clang to build with the latest gcc.
Comment 4 Michael Meeks 2011-11-21 03:35:02 UTC
Hi August; it'd be cool to run include-what-you-use over LibO; the clang bootstrapping problem is amusing :-) I wonder which compiler is wrong.
Thanks for looking at this !
Comment 5 August Sodora 2011-11-21 11:51:46 UTC
I was able to successfully build LLVM+Clang by making sure that I had compat headers installed for libstdc++ and issuing the configure on llvm like this:

../llvm/configure --host=x86_64-redhat-linux --target=x86_64-redhat-linux --build=x86_64-redhat-linux

Apparently if the suffix on the includes directory for the libstdc++ stuff is not default, it has to be specified three times (host, target, build).
Comment 6 August Sodora 2011-11-21 13:13:39 UTC
Steps to build clang:
* Ensure that the appropriate compat c++ libraries are installed for your system. Typically this means gcc 3.*. For fedora the package is compat-gcc-34.
* Change directory to where you want the llvm directory placed.
* svn co http://llvm.org/svn/llvm-project/llvm/trunk llvm
* cd llvm/tools
* svn co http://llvm.org/svn/llvm-project/cfe/trunk clang
* cd ../.. (back to where you started)
* mkdir build (for building without polluting the source dir)
* cd build
* ../llvm/configure --host=x86_64-redhat-linux --target=x86_64-redhat-linux --build=x86_64-redhat-linux (change the host, target, and build parameters to suit your system)
* make
* Remember what the value of pwd is here as it will be used when running include-what-you-use

To build include-what-you-use:
* cd llvm/tools/clang/tools
* svn co http://include-what-you-use.googlecode.com/svn/trunk/ include-what-you-use
* Edit Makefile so that include-what-you-use is one of the subdirs to build.
* make

To run:
* make -srkj3 CXX=<previous value of pwd>/Debug+Asserts/bin/include-what-you-use 2> iwyu.out

And you should see some lines in the output like the following:

/home/aasodora/Sources/libo/basic/source/app/process.cxx should add these lines:
#include <debug/map.h>                  // for map, map<>::const_iterator
#include <debug/safe_iterator.h>        // for _Safe_iterator, operator!=
#include <stddef.h>                     // for NULL
#include <map>                          // for _Rb_tree_const_iterator
#include <utility>                      // for pair
#include "basic/sbxdef.hxx"             // for SbxERR_NO_ACTIVE_OBJECT
#include "rtl/ustring.h"                // for rtl_uString, etc
#include "rtl/ustring.hxx"              // for OUString
#include "sal/types.h"                  // for sal_False, sal_Bool, etc
#include "tools/solar.h"                // for String, xub_StrLen

/home/aasodora/Sources/libo/basic/source/app/process.cxx should remove these lines:
- #include <tools/errcode.hxx>  // lines 33-33
- #include "precompiled_basic.hxx"  // lines 30-30

The full include-list for /home/aasodora/Sources/libo/basic/source/app/process.cxx:
#include <debug/map.h>                  // for map, map<>::const_iterator
#include <debug/safe_iterator.h>        // for _Safe_iterator, operator!=
#include <osl/process.h>                // for oslProcessInfo, etc
#include <stddef.h>                     // for NULL
#include <basic/process.hxx>            // for Process, Environment
#include <basic/sbxcore.hxx>            // for SbxBase
#include <basic/ttstrhlp.hxx>           // for CUniString
#include <map>                          // for _Rb_tree_const_iterator
#include <osl/file.hxx>                 // for FileBase
#include <tools/string.hxx>             // for String::operator OUString, etc
#include <utility>                      // for pair
#include "basic/sbxdef.hxx"             // for SbxERR_NO_ACTIVE_OBJECT
#include "rtl/ustring.h"                // for rtl_uString, etc
#include "rtl/ustring.hxx"              // for OUString
#include "sal/types.h"                  // for sal_False, sal_Bool, etc
#include "tools/solar.h"                // for String, xub_StrLen

include-what-you-use has a way to deal with some of these false positives, so that shouldn't be terribly difficult.

Unfortunately there are a couple of extraneous warnings in the output that I would like to do without. Repeat offenders are:

warning: argument unused during compilation: '-ggdb2'
warning: argument unused during compilation: '-fno-enforce-eh-specs'

I also seem to be getting warnings from boost, the stl, and our own code , often like:

In file included from /home/aasodora/Sources/libo/solver/unxlngx6/inc/boost/ptr_container/detail/static_move_ptr.hpp:23:
/home/aasodora/Sources/libo/solver/unxlngx6/inc/boost/ptr_container/detail/default_deleter.hpp:64:41: warning: unused parameter 'tt' [-Wunused-parameter]
    default_deleter(default_deleter<TT> tt) { }

The last thing that really bugs me is what I think is an include-what-you-use-bug:

include-what-you-use: /home/aasodora/Sources/llvm/tools/clang/tools/include-what-you-use/../../include/clang/AST/Type.h:478: const clang::ExtQualsTypeCommonBase* clang::QualType::getCommonPtr() const: Assertion `!isNull() && "Cannot retrieve a NULL type pointer"' failed.
Stack dump:
0.      <eof> parser at end of file
/bin/sh: line 1: 23068 Aborted                 $R/build/Debug+Asserts/bin/include-what-you-use -DCPPU_ENV=gcc3 -DDBG_UTIL -DENABLE_GRAPHITE -DENABLE_GTK -DGCC -DGXX_INCLUDE_PATH=/usr/include/c++/4.5.1 -DHAVE_GCC_VISIBILITY_FEATURE -DHAVE_THREADSAFE_STATICS -DLINUX -DOSL_DEBUG_LEVEL=1 -DSOLAR_JAVA -DSUPD=350 -DUNIX -DUNX -DVCL -DX86_64 -D_DEBUG -D_GLIBCXX_DEBUG -D_PTHREADS -D_REENTRANT -Wall -Wendif-labels -Wextra -fmessage-length=0 -fno-common -pipe -fPIC -Wshadow -Wsign-promo -Woverloaded-virtual -Wno-non-virtual-dtor -fvisibility=hidden -fvisibility-inlines-hidden -fno-strict-aliasing -std=c++0x -Wno-deprecated-declarations -ggdb2 -DEXCEPTIONS_ON -fexceptions -fno-enforce-eh-specs -O0 -c $S/basic/source/sample/object.cxx -o $W/CxxObject/basic/source/sample/object.o -MMD -MT $W/CxxObject/basic/source/sample/object.o -MP -MF $W/Dep/CxxObject/basic/source/sample/object.d -I$S/basic/source/sample/ -I$O/inc/stl -I$O/inc/external -I$O/inc -I$S/solenv/inc/unxlngx6 -I$S/solenv/inc -I$S/res -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -I/usr/lib/jvm/java/include/native_threads/include -I$S/basic/inc/pch -I$S/basic/source/inc -I$O/inc/udkapi -I$O/inc/offapi



Ideally I would like to clean up the output a little bit before testing the auto-fix script.
Comment 7 Michael Meeks 2011-11-22 01:41:19 UTC
Wow - this is really good work August ! :-)

I suggest that before we push any of this, we should get some sample patch files for review onto the mailing list to discuss.

eg. removing the pch includes is prolly a bad idea :-)

Also (but it will take quite a while to test), it might be nice to compile before + after and time it to see if there is a real win ...

But exciting stuff :-)
Comment 8 August Sodora 2011-11-28 19:14:25 UTC
I haven't really had much luck cleaning up some of that output, but I figure it must be possible. In particular, I'm not even sure if I'm just redirecting too many output streams to the log file or if there is a way I can pass compiler flags to limit some warning output.

One thing that I have realized that is pretty disconcerting: the only files that are checked by the tool are hxx files with correspondingly named cxx files. I know that our code base definitely does not meet this requirement in most cases :(

Maybe if we can overcome these hurdles then we can start to play with the auto-fix tool.
Comment 9 August Sodora 2011-11-30 10:18:43 UTC
A better command to run is something like:

env IWYU_VERBOSE=1 make -srkj3 CXX="/home/aasodora/Sources/build/Debug+Asserts/bin/include-what-you-use -Qunused-arguments" CXXFLAGS="-Wno-unused-parameter" 2> iwyu.out

This should get rid of all warnings of the form:

warning: argument unused during compilation: '-ggdb2'
warning: argument unused during compilation: '-fno-enforce-eh-specs'

It also gets rid of the unused-parameter warning from boost. It seems like we are still getting some errors from boost and the stl during the build that I'm trying to figure out.
Comment 10 Florian Reisinger 2012-05-18 09:12:53 UTC Comment hidden (obsolete)
Comment 11 Michael Stahl (CIB) 2013-08-15 19:56:48 UTC
hi Marcos, since sadly August is no longer working on this maybe you are interested in playing with  http://code.google.com/p/include-what-you-use/ ?
Comment 12 Björn Michaelsen 2013-10-04 18:47:28 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 13 Robinson Tryon (qubit) 2013-10-19 00:24:45 UTC Comment hidden (obsolete)
Comment 14 Riccardo Magliocchetti 2014-11-04 15:40:30 UTC
I've updated to gerrit a quick hackish patch to build with include-what-you-use: 
https://gerrit.libreoffice.org/#/c/12255/

Since it's very verbose i've added also support for partials compilation so you can do:

./configure --with-iwyu=/usr/bin/include-what-you-use
make sw 2> sw-warn-includes.log

And get only warnings for the single module.
Comment 15 Michael Stahl (CIB) 2014-11-19 12:30:00 UTC
some issues that you should be aware of when doing cleanup:

1. we want each header file to be "complete" in the sense that it would build successfully as a compilation unit on its own; it should not depend on some other header being included before it into a source file to provide the types it uses, it should either include a header that declares the needed type, or contain a "forward declaration" of it.

2. removing an include from a source file because there is another include in the source file that transitively brings in the needed include is also undesirable: some time later somebody will refactor the code and reomve some include that is no longer directly needed and then it turns out that there are a lot of errors that need fixing because the source file was relying on indirectly included files.

3. it's also too easy to remove platform dependent or configuration dependent include this way; some of the code is behind some #ifdef. Ok, this is a more general problem and you have to be aware of it whatever approach you use. best to build with --enable-dbgutil to get all the debug code built.

include-what-you-use does indeed appear to be the best way to solve this because it avoids issues 1 and 2.



how to build it on Fedora 20:

yum install llvm-static llvm-devel clang-devel
tar -xzvf /tmp/include-what-you-use-3.4.src.tar.gz
cd include-what-you-use/
[ edit the CMakeLists.txt and replace "link_directories(${LLVM_PATH}/lib)" with "link_directories(${LLVM_PATH})" ]
cmake .
cmake  -DLLVM_PATH=/usr/lib/llvm-3.4 .
make

for LibreOffice use the --with-iwyu flag (see comment #14)



iwyu unfortunately only reports problems in the source file that is being compiled, and in a header file with the same basename as the source file.
so i've added a "make iwyudummy" target that can be used to build all include files: it will generate a iwyudummy/StaticLibrary_iwyudummy.mk that can be edited to those include files you want to clean up.

i've already used iwyu to clean up all the headers that are shipped in the sdk (i.e. listed in odk/Package_odk_headers.mk).

likely it would be a good approach to clean up include/ first in a bottom-up way following the module dependency graph http://ostrovsky.org/libo/lo.png

oh and there is no need to clean up the precompiled_*.hxx headers manually, since they are created automatically by some update_pch script anyway.
Comment 16 Michael Stahl (CIB) 2015-07-10 21:44:16 UTC
added a little script "bin/includebloat.awk" to sort the included
headers by "badness" i.e. total bytes parsed.

picking some of the low hanging fruit there (primarily
excessive boost header inclusion) reduced the preprocessor input
from 36151616031 to 28560693617, that's a 7.5 GB (20%) saving.
Comment 17 Commit Notification 2015-10-01 09:36:15 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aed0a639f4af8e630dbd6bd4f2e0368b1481eae3

tdf#42949 remove unnecessary includes using iwyu

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Robinson Tryon (qubit) 2015-12-14 07:00:21 UTC Comment hidden (obsolete)
Comment 19 Robinson Tryon (qubit) 2016-02-18 14:51:46 UTC Comment hidden (obsolete)
Comment 20 Commit Notification 2016-04-25 08:54:36 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=474eca1f9b42749665bbf69f6dc62c66ea4ad7fd

tdf#42949: clean up includes in include/oox/core using iwyu

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2016-04-26 11:56:38 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a4a15c87c03feffb90cc416ce22d2819e41442d

tdf#42949: clean up includes in include/oox/crypto with iwyu

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2016-04-28 10:02:05 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29c4f7bd5863e34c449062aca6f8aee5ec7510a2

tdf#42949: prefer including Reference.hxx over Reference.h...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2016-05-03 20:19:57 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af1174b2dea72359e8eb0e15297c61cf82571250

tdf#42949: clean up includes in include/oox/drawingml with iwyu

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2016-05-04 10:35:53 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24e56929445f0e3e22c7129bf18e912ae1ac6fc1

tdf#42949: clean up includes in include/oox/dump with iwyu

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2016-05-06 07:02:24 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1aeca4b64aac45e64eaab32a0726850ff30dea31

tdf#42949: clean up includes in include/oox/export with iwyu

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2016-05-10 19:23:13 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4bf7614503292fe69d3e5835621c1cdcaa4536cb

tdf#42949: clean up includes in include/oox/helper with iwyu

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2016-05-11 07:09:38 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b9ea3348ac08d775ae452132239853724c65a41

tdf#42949: clean up includes in include/oox/mathml with iwyu

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2016-05-13 10:08:31 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96d5516429bc1846fc6cf7119590f7b05a65eef8

tdf#42949: clean up includes in include/oox/ole with iwyu

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2016-05-26 20:42:52 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c05f1b201be8c1b978dc8d409f3c4dbf0b4beb6

tdf#42949: clean up includes in include/oox/ppt with iwyu

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2016-06-10 08:35:34 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c8d656b897229d5a6f2126fe274d338ec997f76

tdf#42949: clean up includes in include/oox/token with iwyu

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2016-06-10 08:36:56 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b156b37d487b96ec19d65e01cd8cedd26a2150d

tdf#42949: clean up includes in include/oox/vml with iwyu

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2016-06-13 11:39:33 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1812a6467defa244c2002dec6b055ad3983e5883

tdf#42949: clean up includes in include/vbahelper with iwyu

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 jani 2016-06-14 09:59:19 UTC Comment hidden (obsolete)
Comment 34 Michael Stahl (CIB) 2016-06-14 10:25:58 UTC Comment hidden (obsolete)
Comment 35 Commit Notification 2016-06-15 09:32:47 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cef14b816aee25ce8a59a2200900989523372996

tdf#42949: clean up includes in include/filter with iwyu

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 jani 2016-06-16 06:12:19 UTC
(In reply to Michael Stahl from comment #34)
> uhh, do you know now many headers we have? with any luck, we are 5% done
> here :)

Got you point, was just trying to clean up in my part of the world :-)
Comment 37 Commit Notification 2016-06-16 12:24:27 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=26fa322583147f87511b2d77e8701228838f8c73

tdf#42949: clean up includes in include/dbaccess with iwyu

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2016-06-21 08:00:22 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a6bffd2fefcc81dc34951ba2e178d9938b59fb3

tdf#42949: clean up includes in include/formula with iwyu

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2016-11-21 17:07:20 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=069445f9cdf4d3f48cbfcf7cb4bf02d16f74956e

tdf#42949 Remove not needed uno headers from filters/xml

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2016-11-21 23:07:07 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a4e106be6778f7e96fa36d2076ef4e7a90f81d9

tdf#42949 Remove not needed uno headers from sc/source/core

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2016-11-23 07:31:13 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c840c49b62b919ec4d0d947fe8cd530a785cf80d

tdf#42949 Remove unused uno headers from /sw/source/core

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2016-11-23 07:34:27 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=741b56fc09e8c9c4361baa7a876fe3c8b81710db

tdf#42949 Remove unused uno headers from /sd/source/core

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2016-11-23 07:38:46 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b2e69abfc6386578fe3313362f1bbfe74c36a14

tdf#42949 Remove unused uno headers from /sw/source/uibase

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2016-11-23 07:41:08 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=45c7ba7ad6befdc4c212c376ef9399976f6695e1

tdf#42949 Remove unnecessary headers from sw/source/filters

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2017-03-28 09:13:25 UTC
Jorenz Paragas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65aa28cc1c8a90865c3a9ea379722730c40ecb53

tdf#42949: clean up includes in include/svx/[a-c]* with iwyu

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2017-12-22 09:51:09 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3e840541a117113be85d7733f20c5d5ab6552f1

tdf#42949 Fix some Include What You Use warnings

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2018-01-04 14:52:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67e1e2ee40dba196f706afb43d0379b29c3c0f42

tdf#42949 Fix some more Include What You Use warnings

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2018-02-01 14:20:00 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4fae455fcdb0242b568b88f51726bd1596e100b0

tdf#42949 Remove unneeded helpids.h headers (1/3)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2018-02-01 14:21:27 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73bfe83a3985df447d4fd6b443277aac21cd9913

tdf#42949 Remove unneeded helpids.h headers (2/3)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2018-02-01 14:21:38 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f38c49cdc9df7acedcf08b895f4c99be85d6aa80

tdf#42949 Remove unneeded helpids.h headers (3/3)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2018-04-03 07:42:00 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14198f2191f216592f00b72221771704b3ce4636

tdf#42949 Remove unnecessary localization headers from sd

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2018-04-04 09:24:52 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28b1443eb3a48e4ca0651cf3cd560f5da08de472

tdf#42949 Remove unnecessary localization headers from accessibility

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2018-04-04 09:25:01 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89d26a4018626f43af9d3e15d3b9c49abdfde889

tdf#42949 Remove unnecessary localization headers from avmedia

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2018-04-05 14:10:44 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=158254119b7b20f5e4f825dc3c1e80c1efb91c95

tdf#42949 Remove unnecessary localization headers from basctl

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2018-04-05 20:01:53 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0aabd9c88897d64d1ce0eb294fb8352ce7f25e9

tdf#42949 Remove unnecessary localization headers from chart2

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2018-04-07 07:27:23 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b185bef65472d10f9fb65d24e0757b90172796c

tdf#42949 Remove unnecessary localization headers from cui

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 57 Miklos Vajna 2018-04-07 21:21:17 UTC
(In reply to Michael Stahl from comment #15)
> include-what-you-use does indeed appear to be the best way to solve this
> because it avoids issues 1 and 2.

I recently tried to make usage of the tool in the context of LO a bit easier:

1) If your Linux system is too old to build IWYU, I've uploaded a static binary here: https://dev-www.libreoffice.org/bin/

2) Also now there is a bin/find-unneeded-includes script in core.git that you can just run even on header files in e.g. sc/inc/*.hxx, for other modules where we have no idea yet what flags to use, see sc/IwyuFilter_sc.yaml for inspiration.

I hope that makes even more easier to fix IWYU warnings in our codebase.
Comment 58 Commit Notification 2018-04-10 07:36:49 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=342a5d13dfcca37a68cb996650e1ada868c5ce3e

tdf#42949 Remove unnecessary localization headers from desktop

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 59 Commit Notification 2018-04-11 08:28:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1a969ca643d41e034100aac588994f2d6c3ed05

tdf#42949 Remove unnecessary localization headers from framework

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 60 Commit Notification 2018-04-12 08:56:33 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84e2614a75a615d6c8584b13a69b3368d2a12a3d

tdf#42949 Remove unnecessary localization headers from fpicker

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2018-04-13 14:39:40 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83d247b9917ecf4e23d5a457252a998f233b5c30

tdf#42949 Remove unnecessary localization headers from dbaccess

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2018-04-16 08:12:41 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=104b26b246c94c8c66864b20d00e419d96b15961

tdf#42949 Remove unnecessary localization headers from sc

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2018-04-17 07:08:34 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3f094c2573de12bf3d386f19b924b536cb89af0

tdf#42949 Remove unnecessary localization headers from sw

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 64 Commit Notification 2018-04-18 07:38:21 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40eb7f2d7ca5e4a60c9a5a62ddd202d7807cdb9f

tdf#42949 Remove unnecessary localization headers of editeng

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 65 Commit Notification 2018-04-18 07:39:41 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=00ff4d198313265ba736a6e234b4278166d1c3e4

tdf#42949 Remove unnecessary localization headers of sfx2

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2018-04-18 19:32:59 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40c3b5dee84b419efcbc1efc1020d1c07332d670

tdf#42949 Remove unnecessary helpids.h from sc.hrc

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2018-04-19 09:16:33 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e24a059906c9b7f399f0afcbfdcd5dd1aa663973

tdf#42949 Remove unnecessary localization headers from reportdesign

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2018-04-20 07:02:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=663fd3d6e1f93ec989dc289e688d5dbfe434cbca

tdf#42949 Remove unnecessary localization headers of svtools

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 69 Commit Notification 2018-04-25 12:30:13 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9d1d4092a93405028b0a22a459635607646363a

tdf#42949 Remove unnecessary localization headers of svx

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 70 Commit Notification 2018-05-07 13:19:29 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0893305bf673bd706a8fec014eedfd104dbe88f

tdf#42949 Fix IWYU warnings in sc/inc/[aA]*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 71 Commit Notification 2018-05-08 12:49:20 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fba6889f2590185a15646d5b36a49159407a6aaf

tdf#42949 Fix IWYU warnings in sc/inc/[bc]*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 72 Commit Notification 2018-05-10 12:19:34 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7cee480efe22d48af9e9d96b49ad4358a4010690

tdf#42949 Fix IWYU warnings in sc/inc/d*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 73 Commit Notification 2018-05-15 07:09:39 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c2d8e870cc09e883bc7d53ff6fdefa6c9092a33

tdf#42949 Fix IWYU warnings in sc/inc/columniterator.hxx

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 74 Commit Notification 2018-05-15 07:09:50 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8713c1ffd852817404447a507a21fc4a613914d9

tdf#42949 Fix IWYU warnings in sc/inc/e*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 75 Commit Notification 2018-05-17 15:23:51 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a023f855dd989ee0998eeb9e3e7f3ae3f583b1ae

tdf#42949 Fix IWYU warnings in sc/inc/[pq]*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 76 Commit Notification 2018-05-18 07:22:51 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88bbceb7c3ff1560b4ab5caf4b42cd6dfd92b971

tdf#42949 Fix IWYU warnings in sc/inc/f*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 77 Commit Notification 2018-05-19 11:16:05 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c72280c1e9a77e0175d8bb2452ee6a535aa8fb99

tdf#42949 Fix IWYU warnings in sc/inc/l*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 78 Commit Notification 2018-05-22 10:21:20 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=494f1a98bf32bea014c277bd0bee81b9aab5c966

tdf#42949 Fix IWYU warnings in sc/inc/formularesult.hxx

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 79 Commit Notification 2018-05-24 07:05:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23d51ad9343f9be1bac30e0bb2b21963699fdade

tdf#42949 Fix IWYU warnings in sd/inc/*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 80 Commit Notification 2018-05-25 07:14:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a73ae323fa55088321395a23301b4a87e4860bf6

tdf#42949 Fix IWYU warnings in chart2/source/inc/*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 81 Commit Notification 2018-05-25 10:11:14 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8edef392245c292398a80f6a858ca19f32df9c3

tdf#42949 Fix IWYU warnings in sc/inc/[gh]*

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 82 Commit Notification 2018-05-28 08:05:04 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f50eb2d12e3b80ff75b6d1a89753efcef0cd6f27

tdf#42949 Fix IWYU warnings in chart2/source/model/inc/

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 83 Commit Notification 2018-05-29 07:05:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a03a63edd3cfbbacd4e9f59b315095fbeb70873c

tdf#42949 Fix IWYU warnings in sc/inc/m*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 84 Commit Notification 2018-05-30 07:37:34 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d7a28fd2dd7f0c1696d4d8989a5a547e3f2e531

tdf#42949 Fix more IWYU warnings in sd/inc/

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 85 Commit Notification 2018-06-01 09:59:41 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bdf5a7b5792cc93cd0a8984cfd8528dfe67b3e70

tdf#42949 Fix IWYU warnings in chart2/source/view/inc/

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 86 Commit Notification 2018-06-04 06:34:28 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=620315e0cb230b6e6922920c6e0e7bb25386cce6

tdf#42949 Fix IWYU warnings in sc/inc/r*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 87 Commit Notification 2018-06-04 12:05:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c35916de11632685571aaf9728f083fe3287c4c0

tdf#42949 Fix IWYU warnings in sd/source/filter

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 88 Commit Notification 2018-06-05 08:57:33 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ddca0648a2b673b7dd5357871f79a83c3830ed8

tdf#42949 remove unused compheler includes ..

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 89 Commit Notification 2018-06-05 12:10:07 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c7372392793463babc31dc3de51af9be828aa8e

tdf#42949 Fix IWYU warnings in chart2/inc/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 90 Commit Notification 2018-06-06 07:46:47 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18a8cac57d5450fef9111fa356839f07c7593ad0

tdf#42949 Fix IWYU warnings in sc/inc/[a,c]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 91 Commit Notification 2018-06-08 07:14:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bff31df1398b81c0348aebae2c346474724c4884

tdf#42949 Fix IWYU warnings in sd/source/ui/inc/[a-c]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 92 Commit Notification 2018-06-09 10:52:57 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa9d10e3350b84c3a249294cad650188dce39538

tdf#42949 Fix IWYU warnings in chart2/source/controller/inc/[A-G]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 93 Commit Notification 2018-06-11 19:56:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2dab4079b716f3c2a2c53ab8070340995aed58d

tdf#42949 Fix IWYU warnings in sc/inc/s*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 94 Commit Notification 2018-06-13 15:28:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0554e74260ee684d0859d655e42da8ad6eefd4a9

tdf#42949 Fix IWYU warnings in  chart2/source/controller/inc/[I-V]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 95 Commit Notification 2018-06-16 09:45:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ea8ad4e492583e6d1ff278ff0dc679531c8a20e

tdf#42949 Fix IWYU warnings in sd/source/ui/inc/[dDE]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 96 Commit Notification 2018-06-16 10:26:59 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8dacd42f3af903ac3daeef8f4dd444ffc7e1a99c

tdf#42949 Fix IWYU warnings in chart2/source/model/{main,template}/*hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 97 Commit Notification 2018-06-17 09:28:26 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af625c8b7143bef6d2d61037427f9934607f336f

tdf#42949 Fix IWYU warnings in sc/inc/P*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 98 Commit Notification 2018-06-17 17:50:45 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ffd3ee80f28d9c7e6f1cbf48055095764249ed6

tdf#42949 Add a class declaration to include/sfx2/shell.hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 99 Commit Notification 2018-06-18 13:12:37 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb9414f59eca713e1aebac0a2894e8c9412612b7

tdf#42949 Fix IWYU warnings in sc/inc/[Tt]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 100 Commit Notification 2018-06-20 12:29:21 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3efc2d022b0d1a5cf6155257d57504d47ceefc44

tdf#42949 Fix IWYU warnings in sc/inc/[ux]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 101 Commit Notification 2018-06-22 07:07:26 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3a2a20311c5ad383754a9fbb90d611863562e02

tdf#42949 Fix IWYU warnings in include/sal/

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 102 Commit Notification 2018-06-22 15:32:53 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=162b729b05ea727d6191647605bbaaa9c8dab275

tdf#42949 Fix IWYU warnings in chart2/source/inc/chartview/

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 103 Commit Notification 2018-06-22 19:13:50 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1738429b08f9d0a614ff5ee7090fd8ea41fc67a

tdf#42949 Fix IWYU warnings in sd/source/ui/inc/[f-h]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 104 Commit Notification 2018-06-22 21:24:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32f556667cb09587bd636239da9d463d8c15679a

tdf#42949 Fix IWYU warnings in chart2/source/tools/

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 105 Commit Notification 2018-06-25 09:01:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dbfa1c452fd9d02330cb3ec5bf2fd4f2c7782d1a

tdf#42949 Fix IWYU warnings in chart2/source/inc/[A-C]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 106 Commit Notification 2018-06-26 10:04:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b88706f98b0859a40b5e50596c9fa75398c90c2f

tdf#42949 Fix more IWYU warnings in sc/inc/d*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 107 Commit Notification 2018-06-28 07:09:00 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4dafe050abe42a36ed56576c23539eb808db5ba

tdf#42949 Fix IWYU warnings in include/osl/*h

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 108 Commit Notification 2018-07-10 09:47:09 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b51fee8d264db616d1be32676f0f691acbfe680

tdf#42949 Fix IWYU warnings in include/osl/*hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 109 Commit Notification 2018-08-07 15:29:56 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a30072282e7bc7d9dda68986b4859cc1d6575597

tdf#42949 Fix remaining IWYU warnings in sc/inc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 110 Commit Notification 2018-08-08 07:59:48 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55ca35ab99fb1164cb2095384ed0937a533d9d3c

tdf#42949 Fix IWYU warnings in include/rtl/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 111 Commit Notification 2018-08-08 15:21:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=47db30bdb35a86bf34d2574c9af3f06b1d2a8bd7

tdf#42949 Fix IWYU warnings in chart2/source/inc/[d-l]*hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 112 Commit Notification 2018-08-10 12:14:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1a19ef614fd1bf115af15d3cb16e24150d4ceb7

tdf#42949 Fix IWYU warnings in include/salhelper/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 113 Commit Notification 2018-08-13 07:14:47 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2bc7f8302601bbbac5cb4d4bf1d9b74262004363

tdf#42949 Fix IWYU warnings in include/{store,registry}/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 114 Commit Notification 2018-08-13 15:58:39 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=690cbe7aa2d36373e93a8d50da4a1d026f9e56bd

tdf#42949 Fix IWYU warnings in include/xmlreader/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 115 Commit Notification 2018-08-27 08:24:27 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=334d8a61e45290015424bd5370cfd51e903ebff4

tdf#42949 Fix IWYU warnings in sd/source/ui/inc/[n-s]*hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 116 Commit Notification 2018-08-28 07:45:41 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d26d9fd652a07fb8c708c162355a15ec3b3f72d0

tdf#42949 Fix IWYU warnings in chart2/source/inc/[l-z]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 117 Commit Notification 2018-08-28 16:32:00 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dfb30a0b5c1f36f44e8806d9491cced343f4b8fd

tdf#42949 Fix IWYU warnings in sc/source/core/inc/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 118 Commit Notification 2018-08-31 07:55:50 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf01403479096eb3e0d8c7d7dc09390570a1f262

tdf#42949 Fix IWYU warnings: boost/optional in include/

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 119 Commit Notification 2018-08-31 15:42:51 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=347a86962bffeaf7420c390a733d2ddd1d78efeb

tdf#42949 Fix IWYU warnings in sc/source/core/opencl/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 120 Commit Notification 2018-09-04 07:29:55 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9aee9781212328e78b6a34ac2b965b16fd0d9e3a

tdf#42949 Fix IWYU warnings in sc/source/filter/inc/[a-l]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 121 Commit Notification 2018-09-06 09:56:35 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6a4c1a998bdf6c709b87fc60361f519c3213138

tdf#42949 Fix IWYU warnings in chart2/source/view/{axes,charttypes,main}/*hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 122 Commit Notification 2018-09-07 08:44:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9912d3e4003a10d7bc690afdef69473976244dd7

tdf#42949 Fix IWYU warnings in sd/source/ui/inc/[t-z]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 123 Commit Notification 2018-09-10 07:58:37 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc7280efdbfefd96eb96b63dc8bd171d39704388

tdf#42949 Fix IWYU warnings in include/cppuhelper/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 124 Commit Notification 2018-09-11 15:38:07 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f87be145725b15745dabae90e1b030819d7a6eac

tdf#42949 Fix IWYU warnings in sc/source/filter/inc/[n-w]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 125 Commit Notification 2018-09-12 07:45:05 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec06ffdfd54b1f6997f905f9252cecabde3a1c5a

tdf#42949 Fix IWYU warnings in chart2/source/controller/[a,i,m,s]*/*hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 126 Commit Notification 2018-09-13 07:06:03 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9784934cb9054e7aa7b1574f926a555b107a31c8

tdf#42949 Fix IWYU warnings in include/ucbhelper/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 127 Commit Notification 2018-09-17 14:44:14 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b943b9b974ac8c093677b4f625e93c6e64e4ceb4

tdf#42949 Fix IWYU warnings in sc/source/filter/inc/[xX]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 128 Commit Notification 2018-09-24 21:24:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8df9935dcbdb1b64385642fbd37d43ab5b3d092c

tdf#42949 Fix IWYU warnings in include/comphelper/[a-l]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 129 Commit Notification 2018-09-26 16:01:08 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3bb54d3a046feabaa35df39b7a753c385c3c4101

tdf#42949 Fix IWYU warnings in chart2/source/controller/chartapiwrapper/*hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 130 Commit Notification 2018-10-08 10:18:05 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a962cb122f796aef9a10252ab224f5cd70569cf

tdf#42949 Fix IWYU warnings in include/comphelper/[m-z]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 131 Commit Notification 2018-10-08 12:01:19 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60706b01d18f5c8ff52aff73a2032f641873533c

tdf#42949 Fix IWYU warnings in chart2/source/model/*cxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 132 Commit Notification 2018-10-09 10:35:23 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b74c41a31fbff26606f69c90b979326d4133dc3

tdf#42949 Fix IWYU warnings in chart2/source/tools/*cxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 133 Commit Notification 2018-10-10 09:57:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5680189c930cc58cf523c0dea175a09cb390517

tdf#42949 Fix IWYU warnings in include/jvmaccess/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 134 Commit Notification 2018-10-15 07:43:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b93769c666d84509223b67aca614ef6d1655a9dd

tdf#42949 Fix IWYU warnings in include/basegfx/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 135 Commit Notification 2018-10-16 07:05:53 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7dc9fb33db45c269fece6cfec993b124491c68f6

tdf#42949 Fix IWYU warnings in sc/source/ui/inc/[a-e]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 136 Commit Notification 2018-10-17 10:31:24 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3b34508682c829abd697c66917b8e46e9e8266c

tdf#42949 Fix IWYU warnings in include/tools/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 137 Commit Notification 2018-10-24 11:31:09 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc35f2592654166ab293c1315f47cec9d2384ed5

tdf#42949 Fix IWYU warnings in include/opencl/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 138 Commit Notification 2018-10-25 07:10:10 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d90ec5d26f1e9ff6afe7544cff8413d105d4d439

tdf#42949 Fix IWYU warnings in include/xmlscript/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 139 Commit Notification 2018-10-26 13:08:54 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33623f3117d88683fbc9e66792e5030c0322946e

tdf#42949 Fix IWYU warnings in include/unotools/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 140 Commit Notification 2018-10-29 08:31:50 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8ee49e6e8f5c37682d776fac4bc01479733b9d76%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/inc/[f-p]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 141 Commit Notification 2018-10-29 13:25:45 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a2f7678171618d958e3c387718cd389bea63eaeb%5E%21

tdf#42949 Fix IWYU warnings in sd/inc ; sd/source/ui/inc/

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 142 Commit Notification 2018-10-30 07:39:51 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/da02b574b4b077ba819350eec76a37eaf0ceeeb0%5E%21

tdf#42949 Fix IWYU warnings in sd/source/ui/inc/{framework,tools,view}/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 143 Commit Notification 2018-10-30 16:46:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/560aad17af07f4f2d653e2ec56770450029cc100%5E%21

tdf#42949 Fix IWYU warnings in include/sax/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 144 Commit Notification 2018-10-31 08:06:03 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7513af89362a7d54e0210049d3644db5818950a5%5E%21

tdf#42949 Fix IWYU warnings in sc/inc; sc/source/filter/inc/

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 145 Commit Notification 2018-11-05 09:11:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/50823d893807d590d20ca8ee97a9a345d5df4ac3%5E%21

tdf#42949 Fix IWYU warnings in include/sot/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 146 Commit Notification 2018-11-06 13:36:44 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ff8fdc310a13e677dfc97151f0752d7e88356b84%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/inc/[m-z]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 147 Commit Notification 2018-11-07 09:05:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/511061b0d392f238a18a27477148731e3437b5ae%5E%21

tdf#42949 Fix IWYU warnings in include/i18nutil/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 148 Commit Notification 2018-11-08 08:18:04 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dec3752eeb3bcd46fb5c4af4e0a48738440d21e7%5E%21

tdf#42949 Fix IWYU warnings in sc/source/core/data/*cxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 149 Commit Notification 2018-11-09 07:50:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8cac3565f9d556dc8515fb9d747be7d2975d51d4%5E%21

tdf#42949 Fix IWYU warnings in chart2/source/controller/dialogs/*hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 150 Commit Notification 2018-11-12 13:12:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2b39827a0ef0ee3065e3e6abed371cd68c38e83d%5E%21

tdf#42949 Fix IWYU warnings in sd/source/ui/slidesorter/inc/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 151 Commit Notification 2018-11-14 08:49:47 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f644e4be3c8568c34aca1a63d566269ce084eca2%5E%21

tdf#42949 Fix IWYU warnings in include/svl/*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 152 Commit Notification 2018-11-15 09:39:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/843fa5ff69f2bc502a6fa35878104d067b2a1e77%5E%21

tdf#42949 Fix IWYU warnings in sc/source/filter/{excel,lotus,xml}/*hxx

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 153 Commit Notification 2018-11-19 08:39:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/492ea7e08571e466e37f870b7642a79df55c2e92%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/[ab]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 154 Commit Notification 2018-11-20 09:43:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a87a062fd4fac61fde6aa7f6b4277cc77438d119%5E%21

tdf#42949 Fix IWYU warnings in sc/qa/{perf,unit}/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 155 Commit Notification 2018-11-21 10:03:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/40710c488de3e4eef585c5a5276c9a0943d36f2e%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/[B-E]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 156 Commit Notification 2018-11-22 08:56:11 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/24d5f3065df5f05e1a8af7ae043db59fd7845ffa%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/[ab]*

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 157 Commit Notification 2018-11-22 08:56:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/b9b62d96f6de8908ddf69f5b56eb58fe82013a24%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/[B-E]*

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 158 Commit Notification 2018-11-26 11:23:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ae3309c908311248f1580a894f197732964bfac2%5E%21

tdf#42949 Fix IWYU warnings in chart2/source/view/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 159 Commit Notification 2018-11-27 09:36:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8067be0721462079c1d91bff9865ba07bfc56b5a%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/[f-h]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 160 Commit Notification 2018-11-29 12:17:45 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a96e6e80626e3a045d58c66a4724c3b847d318d0%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/[i-m]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 161 Commit Notification 2018-11-30 08:15:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9059457a1a8385cb80b5dd2c797cee77af4222a9%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/*/hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 162 Commit Notification 2018-12-03 14:13:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/be99b42489b3dad31e2a92ece937131803b17275%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/[n-r]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 163 Commit Notification 2018-12-10 13:21:26 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/00b49f9ff9777cb1c1e971feec55b2448fba8be2%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/s*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 164 Commit Notification 2018-12-14 08:40:00 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/117d91cfb4a11b9fc71ca58fc60345c6b05dd5aa%5E%21

tdf#42949 Fix IWYU warnings in chart2/source/controller/*/cxx (1)

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 165 Commit Notification 2018-12-17 14:42:20 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0aff4d06e706fde2543fc0926f2e48e0c2139700%5E%21

tdf#42949 Fix IWYU warnings in sc/source/filter/excel/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 166 Commit Notification 2018-12-19 09:02:47 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ee1172071049ff82995a54d4901a664374c39381%5E%21

tdf#42949 Fix IWYU warnings in sc/source/filter/oox/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 167 Commit Notification 2018-12-20 11:37:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/febe0fd100ff0bff33c965b3bcb497e7f2bc4ef9%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/[t-u]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 168 Commit Notification 2019-01-02 09:12:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4c67813d710ea17b31ec01bb9d3ed7a0b8ddc82f%5E%21

tdf#42949 Fix IWYU warnings in sd/source/ui/[a-r]*/*hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 169 Commit Notification 2019-01-03 08:40:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5cb0c041fd50896d426626bad11032ffe4ac4614%5E%21

tdf#42949 Fix IWYU warnings in chart2/source/controller/* (2)

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 170 Commit Notification 2019-01-04 09:24:07 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9ec128f8377182c0c50a4c5e6f21cd9b061ef016%5E%21

tdf#42949 Fix IWYU warnings in starmath/inc/*hxx & starmath/source/*hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 171 Commit Notification 2019-01-07 08:13:47 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6256797dacfafaa573a67643440a3fe4e8128dca%5E%21

tdf#42949 Fix IWYU warnings in include/vcl/[v-x]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 172 Commit Notification 2019-01-08 08:08:20 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/31c1995037a7ad408a5af6917288d8e3888a472d%5E%21

tdf#42949 Fix IWYU warnings in store/source/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 173 Commit Notification 2019-01-09 07:42:23 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/54515a6a01a372729bf8a7f9e992c51f214ec9a6%5E%21

tdf#42949 Fix IWYU warnings in salhelper/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 174 Commit Notification 2019-01-10 07:28:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e00d5f21fe7be1ccf31d35c12dcdda289321590e%5E%21

Revert "tdf#42949 Fix IWYU warnings in include/rtl/*"

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 175 Commit Notification 2019-01-10 08:09:47 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/96e7dbc8c3b57b152a59a53d03f1a0fdc51f3ae8%5E%21

tdf#42949 Fix IWYU warnings in sc/source/filter/xml/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 176 Commit Notification 2019-01-11 10:05:33 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/48ba605c546dcd223e45d7b5a8e71998f945cadf%5E%21

tdf#42949 Fix IWYU warnings in sw/inc/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 177 Commit Notification 2019-01-14 11:16:44 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/267164a8cf6c9acfb6055ec6516058bc5487b474%5E%21

tdf#42949 Fix IWYU warnings in chart2/qa/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 178 Commit Notification 2019-01-15 10:55:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/cec7ae9f3c69ecc83462f28fc4987e37dc1b420e%5E%21

tdf#42949 Fix IWYU warnings in include/toolkit/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 179 Commit Notification 2019-01-16 08:07:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/72f5590661b3226cd52def7381677c01621eecdb%5E%21

tdf#42949 Fix IWYU warnings in sd/source/ui/[s-u]*/*hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 180 Commit Notification 2019-01-18 08:10:19 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/79e618c65f398b83df45232c227f92fb5eca49a7%5E%21

tdf#42949 Fix remaining IWYU warnings in include/vcl/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 181 Commit Notification 2019-01-21 08:36:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/167396065da5668f5eb569225d0ea1b5f7d94efb%5E%21

tdf#42949 Fix IWYU warnings in sd/source/{core,helper}/*hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 182 Commit Notification 2019-01-22 08:28:04 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6e5cdd9d550576095c046f968877956a337330cb%5E%21

tdf#42949 Fix IWYU warnings in include/xmloff/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 183 Commit Notification 2019-01-23 08:10:48 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8f7c35072a6bbb33f6582c8c9a37a275c8d3cb14%5E%21

tdf#42949 Fix IWYU warnings in sc/source/filter/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 184 Commit Notification 2019-01-29 12:49:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2660f132cc98c0fe14d5055a91a7cf126d5139f6%5E%21

tdf#42949 Fix IWYU warnings in cppu/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 185 Commit Notification 2019-02-04 09:08:18 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ce1276a4c4a9f16cbe5075e0a5a09712c4b3212c%5E%21

tdf#42949 Fix IWYU warnings in xmlreader/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 186 Commit Notification 2019-02-05 08:16:26 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/16ee4d434692387419e6493aefba4312b2d80a8c%5E%21

tdf#42949 Fix IWYU warnings in include/svtools/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 187 Commit Notification 2019-02-13 11:11:45 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7f6a5b433988e80f7d404c67d6320116ecb28c06%5E%21

tdf#42949 Fix IWYU warnings in unoidl/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 188 Commit Notification 2019-02-14 12:36:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7bad59533d506d58fb350f883c4deb67d7c011c5%5E%21

tdf#42949 Fix IWYU warnings in cppuhelper/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 189 Commit Notification 2019-02-15 10:20:53 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3478f4741c4a27e35a2b068a624648114d84a8f1%5E%21

tdf#42949 Fix IWYU warnings in registry/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 190 Commit Notification 2019-02-18 13:20:58 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/581ec73d0fe5ae09449f0f48d6e3aa7c255ac6c1%5E%21

tdf#42949 Fix IWYU warnings in basegfx/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 191 Commit Notification 2019-02-19 15:29:22 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/58fa1889eeaa1d8e4abdf49a18660721309362ce%5E%21

tdf#42949 Fix IWYU warnings in include/framework/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 192 Commit Notification 2019-02-21 11:04:36 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e5c3d5f3b0b9dc6af4c347f30636535dd69ee64f%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/[a-c]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 193 Commit Notification 2019-02-22 12:41:54 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d261d883b2149b37bdee739ee92bbea11b1fb7a1%5E%21

tdf#42949 Fix IWYU warnings in sd/source/filter/*/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 194 Commit Notification 2019-02-25 13:18:21 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5df31134f151d2bd5cd921d91441b1752025662e%5E%21

tdf#42949 Fix IWYU warnings in include/canvas/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 195 Commit Notification 2019-02-27 10:18:54 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1805c7ce2d4ef5227ce8f456956d047144c6aaf8%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/d*/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 196 Commit Notification 2019-03-04 16:25:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8a1c18823c6e74b62c43cfe4fa72c87c36855d85%5E%21

tdf#42949 Fix IWYU warnings in include/linguistic/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 197 Commit Notification 2019-03-05 08:01:03 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4a88213bc5f3c7a49e1704b9954b517f4e1b1d27%5E%21

tdf#42949 Fix IWYU warnings in include/cppcanvas/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 198 Commit Notification 2019-03-07 13:13:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/756d7d7073e0542a7b1ae92cb88bada3530e50e9%5E%21

tdf#42949 Fix IWYU warnings in sd/source/ui/[a-c]*/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 199 Commit Notification 2019-03-07 13:21:20 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/754c6af45ac64e2fec04e0bbea571c2892a672d8%5E%21

tdf#42949 Fix IWYU warnings in include/basic/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 200 Commit Notification 2019-03-08 08:30:33 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1e21df65c89de18c26d4602e1b8744c49f9ae183%5E%21

tdf#42949 Fix IWYU warnings in starmath/*/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 201 Commit Notification 2019-03-11 11:44:34 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b8a0f8c6f34c7f916e53935e410a5a68931bb739%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/[f-o]*/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 202 Commit Notification 2019-03-12 09:15:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/80aec8ef2a333890d46c4258f84af6b8f81832a8%5E%21

tdf#42949 Fix IWYU warnings in include/connectivity/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 203 Commit Notification 2019-03-14 20:37:42 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8badaf19f78ef5641ba6074208fd85405453b2da%5E%21

tdf#42949 Fix IWYU warnings in sd/source/ui/d*/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 204 Commit Notification 2019-03-19 08:16:19 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/63a25b79f18fda29cd744add813ce9508c69b996%5E%21

tdf#42949 Fix IWYU warnings in sw/source/core/inc/[a-f]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 205 Commit Notification 2019-03-20 11:23:35 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a26524e348fe06b93c26b1b1fa3dae3a5b26d6fa%5E%21

tdf#42949 Fix IWYU warnings in include/drawinglayer/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 206 Commit Notification 2019-03-21 08:11:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7c7a4675ad5d61add70dd073f680ea37012962ce%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/pagedlg...undo

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 207 Commit Notification 2019-03-25 12:43:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4304226d79849b31fd0ded168cee45a91f240363%5E%21

tdf#42949 Fix IWYU warnings in include/sfx2/[a-D]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 208 Commit Notification 2019-03-28 09:28:20 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1d39c5aa7bd6419060ed10d9fbdc2a643000f363%5E%21

tdf#42949 Fix IWYU warnings in include/sfx2/[e-M]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 209 Commit Notification 2019-03-29 12:28:13 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/106d6d3f3c5701f66e0e6e821dd0160621dbd848%5E%21

tdf#42949 Fix IWYU warnings in include/sfx2/[n-r]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 210 Commit Notification 2019-04-01 08:40:19 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/80152c8c5e3482c1dc29ef1a8fbb1aea4399c39e%5E%21

tdf#42949 Fix IWYU warnings in include/sfx2/[sS]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 211 Commit Notification 2019-04-05 08:58:28 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/01757656f2cc36b6cb8be88ebc0ea1050e0e5c39%5E%21

tdf#42949 Fix IWYU warnings in include/sfx2/sidebar/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 212 Commit Notification 2019-04-08 09:56:54 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4a6dc219fc0bb04f3e6a7f32344afcd058b38ebe%5E%21

tdf#42949 Fix IWYU warnings in include/sfx2/[t-z]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 213 Commit Notification 2019-04-10 08:16:11 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dab764b70855c884cdd1583911b68031635c0f10%5E%21

tdf#42949 Fix IWYU warnings in include/vcl

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 214 Commit Notification 2019-04-12 12:26:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c4e04d6f7915dcb30817a5216b641fbffe24111e%5E%21

tdf#42949 Fix IWYU warnings in include/avmedia/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 215 Commit Notification 2019-04-15 09:50:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0eaa0804085dd6e93257dd31361490720456679d%5E%21

tdf#42949 Fix IWYU warnings in include/editeng/[a-e]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 216 Commit Notification 2019-04-16 14:40:43 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/734dc3c3343b112291fcef606258fb67012a2972%5E%21

tdf#42949 Fix IWYU warnings in ucbhelper/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 217 Commit Notification 2019-04-18 08:07:38 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5503c8904a735f2b47adc29a1fc6500961c01be6%5E%21

tdf#42949 Fix IWYU warnings in sw/qa/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 218 Commit Notification 2019-04-19 09:31:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/368f20001c0d152f48575335757e3c3c3b7e5750%5E%21

tdf#42949 Fix IWYU warnings in comphelper

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 219 Commit Notification 2019-04-23 10:13:56 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3667031eb27620f86b7c1e281eae3543ef98175c%5E%21

tdf#42949 Fix IWYU warnings in include/editeng/[f-x]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 220 Commit Notification 2019-04-24 10:29:40 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1d61d9ae72562a03ca0d3f1649d9471862b29d74%5E%21

tdf#42949 Fix IWYU warnings in sd/source/ui/f*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 221 Commit Notification 2019-04-25 09:29:26 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f9b8c2d57b10de6344ff5555c0b09947484a586b%5E%21

tdf#42949 Fix IWYU warnings in io/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 222 Commit Notification 2019-04-26 07:08:58 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2460816491fe8593e8c7b13caf596383484b3031%5E%21

tdf#42949 Fix IWYU warnings in pyuno/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 223 Commit Notification 2019-04-26 12:56:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ae381d9c95c1097922051a6abb0b2e573e3522b3%5E%21

tdf#42949 Fix IWYU warnings in jvmfwk/ & jvmaccess/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 224 Commit Notification 2019-04-27 15:46:21 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/38ef4990bf34d7c7a7079e3b65af43656bb1845a%5E%21

tdf#42949 Fix IWYU warnings in include/svx/[a-D]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 225 Commit Notification 2019-04-27 15:48:05 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/30e619db016b59bd0c4c8aba518b20012f7ae829%5E%21

tdf#42949 Add filter file to unoidl/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 226 Commit Notification 2019-04-29 11:19:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d1ab132367c6e4ce0ca5711b7c5259d1f6e0e5cc%5E%21

tdf#42949 Fix IWYU warnings in  xmlsecurity/*hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 227 Commit Notification 2019-04-30 13:04:12 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/83abdf803a023067ebc207fd82dde987df233754%5E%21

tdf#42949 Fix IWYU warnings in tools/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 228 Commit Notification 2019-05-06 10:19:03 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/779a48f70ea8f7843ed3145c7efd522027e9183f%5E%21

tdf#42949 Fix IWYU warnings in include/formula/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 229 Commit Notification 2019-05-09 06:59:20 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/64faea31f7d05e46fe5c91f87381ec7abae90174%5E%21

tdf#42949 Fix IWYU warnings in xmlsecurity/*cxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 230 Commit Notification 2019-05-13 08:39:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/572c5c6b229aba9188435901e1679f50149b8fcb%5E%21

tdf#42949 Fix IWYU warnings in sw/source/core/inc/[g-S]*hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 231 Commit Notification 2019-05-14 07:14:51 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/17ecffa91065f453b0799dcc869901f2ecde09dd%5E%21

tdf#42949 Fix IWYU warnings in sw/source/core/inc/[t-w]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 232 Commit Notification 2019-05-15 07:20:15 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ea68858c5beb55c7c70c91f8b1f5b6e41fdfce72%5E%21

tdf#42949 Fix IWYU warnings in unotools/*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 233 Commit Notification 2019-05-16 07:41:15 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2d22f8bb15c12752f6c763cde330d255d8be9545%5E%21

tdf#42949 Fix IWYU warnings in javaunohelper/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 234 Commit Notification 2019-05-16 09:50:12 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4b04eae81478d4aa19f3bdc3f2d6247063aeb6cd%5E%21

tdf#42949 Fix IWYU warnings in include/svx/[e-g]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 235 Commit Notification 2019-05-17 07:22:26 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/55961e110f0bf2d571a27e56806dae50fa353233%5E%21

tdf#42949 Fix IWYU warnings in UnoControls/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 236 Commit Notification 2019-05-20 08:33:41 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/62605b16b0fd6a4a9429b8b185242f91eae67581%5E%21

tdf#42949 Fix IWYU warnings in stoc/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 237 Commit Notification 2019-05-20 09:55:07 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e1d772deb65af22145bae336b90d0c3bc8a14327%5E%21

tdf#42949 Fix IWYU warnings in sw/source/core/*/*hxx

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 238 Commit Notification 2019-05-21 07:28:40 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/afb764f83bd9e01e052608db87250d64503d4b9d%5E%21

tdf#42949 Fix IWYU warnings in i18nlangtag/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 239 Commit Notification 2019-05-22 06:56:52 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3847676cf616ccce40037444e8386dec059487bf%5E%21

tdf#42949 Fix IWYU warnings in include/svx/[h-r]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 240 Commit Notification 2019-05-23 07:07:51 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c3c620c89d0159629f04642cb665fc8fdff7481e%5E%21

tdf#42949 Fix IWYU warnings in: animations/ eventattacher/ i18nutil/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 241 Commit Notification 2019-05-24 07:34:48 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c4ab578198aaa177b693ec9fc8b67b74f2ca9ba2%5E%21

tdf#42949 Fix IWYU warnings in scaddins/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 242 Commit Notification 2019-05-27 08:06:35 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1d944b934340617bf8b90a3fe2ec140be10ffe8f%5E%21

tdf#42949 Fix IWYU warnings in include/svx/[sS][a-h]*

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 243 Commit Notification 2019-05-28 08:09:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/77450fa1c9b7cb3acb19b23ff3b4ed7bc2b7c7a1%5E%21

tdf#42949 Fix IWYU warnings in sccomp/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 244 Commit Notification 2019-05-28 10:08:39 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c6b7f5555d5df13eae7aa72dbd3307ad8c9893dc%5E%21

tdf#42949 Fix IWYU warnings in i18npool/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 245 Commit Notification 2019-05-28 10:25:48 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e43f0657f19f9de8d351bb6b416b7fd7f570e3ff%5E%21

tdf#42949 Fix IWYU warnings in sot/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 246 Commit Notification 2019-05-29 07:12:37 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/61b7525869178464e100085e0f9a66ffc008e483%5E%21

tdf#42949 Fix IWYU warnings in opencl/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 247 Commit Notification 2019-05-30 07:01:42 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c329a1c11299b999152b45343961e79e66be405a%5E%21

tdf#42949 Fix IWYU warnings in helpcompiler/

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 248 Commit Notification 2019-06-03 07:29:30 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/675a3928e1cab27cf310c316be65acdbb764ed65%5E%21

tdf#42949 Fix IWYU warnings in include/svx/sdr/*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 249 Commit Notification 2019-06-07 07:07:28 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/43ddddb703bcdb9430752af63ae46527f737f874%5E%21

tdf#42949 Fix IWYU warnings in svl/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 250 Commit Notification 2019-06-11 06:49:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a7ceb3352ad0a35ce2eeb8407cace19e1d14a9db%5E%21

tdf#42949 Fix IWYU warnings in include/svx/[sS][v-Z]*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 251 Commit Notification 2019-06-13 07:23:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b4c6ac332571ca054fabd3f7876d4c4b1b9df8bc%5E%21

tdf#42949 Fix IWYU warnings in vcl/inc/*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 252 Commit Notification 2019-06-14 09:33:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a64692944a0a22feeef4a943d45137b25494cf64%5E%21

tdf#42949 Fix IWYU warnings in include/svx/sidebar/*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 253 Commit Notification 2019-06-18 07:09:56 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e080acf2211af3f2b55cf59f04272a9a43188abe%5E%21

tdf#42949 Fix IWYU warnings in include/svx/[t-v]*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 254 Commit Notification 2019-06-19 06:38:16 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/54d63ea296fa7598711226af2ce2ea368e3ca93a%5E%21

tdf#42949 Fix IWYU warnings in vcl/qa/* & vcl/backendtest/*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 255 Commit Notification 2019-06-20 07:23:45 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2a06796fa6f6255314cf4c1271f62154f08bac4f%5E%21

tdf#42949 Fix IWYU warnings in sw/source/filter/*/*hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 256 Commit Notification 2019-06-21 07:08:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2f04460c83f064c9fa41c8deaef9647228e0a4ad%5E%21

tdf#42949 Fix IWYU warnings in include/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 257 Commit Notification 2019-07-02 07:13:48 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d00ee2cb0dce84173c035cf89f332c150dd02d00%5E%21

tdf#42949 Fix IWYU warnings in vcl/source/[a-e]*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 258 Commit Notification 2019-07-03 07:09:13 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c7f633d80f9ef5db60ad7218adf08a5914438e80%5E%21

tdf#42949 Fix IWYU warnings in include/svx/x*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 259 Commit Notification 2019-07-04 07:47:26 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f3bf306eb9368c66df9817888739c4c4d3b2a9db%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/unoobj/*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 260 Commit Notification 2019-07-05 07:13:56 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/970751c818bb46029ab9fc84a45337bdd856d70b%5E%21

tdf#42949 Fix IWYU warnings in sw/inc/*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 261 Commit Notification 2019-07-08 10:11:52 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3889e2f2a1f5f87e972e67900b5ff5ef1289479d%5E%21

tdf#42949 Fix IWYU warnings in sw/source/uibase/inc/[a-j]*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 262 Commit Notification 2019-07-09 07:22:04 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f6e72cf4f70ac4f7bc6ace7c0cdb5e2afa13199a%5E%21

tdf#42949 Fix IWYU warnings in sc/inc

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 263 Commit Notification 2019-07-10 07:52:11 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e77999fda551867e4fc199a489cf898821ef6d09%5E%21

tdf#42949 Fix IWYU warnings in sd/*/hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 264 Commit Notification 2019-07-16 07:16:08 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b53403c54c4fef4ecf5b9b8ba98eb643a0297858%5E%21

tdf#42949 Fix IWYU warnings in include/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 265 Commit Notification 2019-07-17 07:14:45 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ef8f88a7df19559f6a748c3c1dad2b245d3d30d8%5E%21

tdf#42949 Fix IWYU warnings in include/oox

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 266 Commit Notification 2019-07-17 12:00:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7ec4f191fd454bbbad830df2229578c9ae7a77df%5E%21

tdf#42949 Fix IWYU warnings in configmgr/*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 267 Commit Notification 2019-07-18 09:18:09 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fe9a87afbaf6e5db834580399e0ce6f912b993ac%5E%21

tdf#42949 Fix IWYU warnings in include/filter

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 268 Commit Notification 2019-07-19 07:12:19 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8634bbde836c15db7e8e88372a1d5329e08a1406%5E%21

tdf#42949 Fix IWYU warnings in include/dbaccess

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 269 Commit Notification 2019-07-22 08:25:40 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e86690fe3a2f83e7be18a5703baf02fefea9aeec%5E%21

tdf#42949 Fix IWYU warnings in include/vbahelper

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 270 Commit Notification 2019-07-23 12:17:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bfe225b7003d119ff214cbaa771289de105c48d5%5E%21

tdf#42949 Fix IWYU warnings in include/test

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 271 Commit Notification 2019-07-24 06:46:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0a5eb01347b1bdeef706b2723fbc02d769f81369%5E%21

tdf#42949 Fix IWYU warnings in vcl/source/[f-i]*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 272 Commit Notification 2019-07-25 15:15:42 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e354681e5d5d21b4ad0d435193810922df7ec7a0%5E%21

tdf#42949 Fix IWYU warnings in cui/*hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 273 Commit Notification 2019-07-26 06:37:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/01d780e2fa42ba04b55104cb012f00b6b3cbb162%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/vba/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 274 Commit Notification 2019-07-31 10:16:13 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e88bcb56eefbd2569a1012943754b98dbc0ba517%5E%21

tdf#42949 Fix IWYU warnings in cui/source/{c-f}*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 275 Commit Notification 2019-08-05 08:57:27 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d5d994789fcbbe327828424cae8c840beaea856f%5E%21

tdf#42949 Fix IWYU warnings in sw/source/uibase/inc/[l-z]*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 276 Commit Notification 2019-08-09 07:53:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7d44104f526d61152cac67d534d36169f46c7581%5E%21

tdf#42949 Fix IWYU warnings in sw/source/uibase/*/*hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 277 Commit Notification 2019-08-12 07:56:58 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/22c484b5978eb47b6fd935d37b6f83cf96158528%5E%21

tdf#42949 Fix IWYU warnings in sc/source/ui/{view,xmlsource}/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 278 Commit Notification 2019-08-13 07:10:24 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6abfb78333faa11a7790eb18a79753992efc2737%5E%21

tdf#42949 Fix IWYU warnings in sw/source/ui/*/*hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 279 Commit Notification 2019-08-26 07:17:39 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1ddb742aed047a745bbcd1787d0f9cfa8f0beda5%5E%21

tdf#42949 Fix IWYU warnings in sd/source/ui/[p-t]*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 280 Commit Notification 2019-08-26 13:26:26 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/944f29fb4701f96ede1d5b9ca69031725a6cf76f%5E%21

tdf#42949 Fix IWYU warnings in sw/source/core/[a-c]*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 281 Commit Notification 2019-08-27 07:31:14 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a1f2f8bdff465ada957f394530cd791a0c329da4%5E%21

tdf#42949 Fix IWYU warnings in sd/qa/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 282 Commit Notification 2019-08-28 07:31:25 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/55402d82c5a81322ff7bca3c277a8813bd967a09%5E%21

tdf#42949 Fix IWYU warnings in vcl/source/[o-w]*/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 283 Commit Notification 2019-08-29 07:44:37 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/00f4595fbec8a6bfc31687ed950525ce20c68fcd%5E%21

tdf#42949 Fix IWYU warnings in cui/source/{options,tabpages}/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 284 Commit Notification 2019-09-11 10:27:02 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/06f99cd5520fa431ffb74ca5dd4691e892715657%5E%21

tdf#42949 Fix IWYU warnings in sc/qa/extras/*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 285 Commit Notification 2019-09-12 13:14:39 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4a4adaebeeb2b116d88378b6ca7247fccbd3576a%5E%21

tdf#42949 Fix IWYU warnings in sd/source/ui/[u-v]*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 286 Commit Notification 2019-09-16 07:49:49 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ecbe359df7d6842d232f0718dcaf004632bb39da%5E%21

tdf#42949 Fix IWYU warnings in vcl/unx/generic/*

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 287 Commit Notification 2019-09-17 08:04:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a944d4c2aacafdac78eabd7fb0f8909a66d935eb%5E%21

tdf#42949 Fix IWYU warnings in xmloff/inc/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 288 Commit Notification 2019-09-18 07:16:15 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bb16f6597d3b252837d32d4d9f7c56619c0e70df

tdf#42949 Fix IWYU warnings in toolkit/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 289 Commit Notification 2019-09-19 07:24:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/71ef762f21ada8c25aad2183065478171e985e8c

tdf#42949 Fix IWYU warnings in svtools/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 290 Commit Notification 2019-09-24 12:39:45 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6b82bbd9e7c3aab343c5e7e9e3fb0bcfc70e2cb7

tdf#42949 Fix IWYU warnings in xmloff/source/*/*hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 291 Commit Notification 2019-09-25 07:07:21 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4d960908094292c9bac925976ac489c46a6127e9

tdf#42949 Fix IWYU warnings in sax/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 292 Commit Notification 2019-09-26 08:55:52 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/357fff1574ef29732b8a5209af97d9d026ccc650

tdf#42949 Fix IWYU warnings in sd/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 293 Commit Notification 2019-09-27 08:08:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e8599a29c6540c05802d257671f3f4c572c73abc

tdf#42949 Fix IWYU warnings in xmlhelp/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 294 Commit Notification 2019-09-30 08:04:14 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f0e0fb71fc6eefc65afdf1650100ffd4c64c18d0

tdf#42949 Fix IWYU warnings in xmloff/source/[c-m]*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 295 Commit Notification 2019-10-01 14:49:51 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6076335b06c3c67634b439b96cd32817ff77d0d9

tdf#42949 Fix IWYU warnings in ucb/source/*/*hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 296 Commit Notification 2019-10-02 09:07:20 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/86f42c08c177791021f20db795b0c06ee9ce51ca

tdf#42949 Fix IWYU warnings in xmloff/source/[s-x]*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 297 Commit Notification 2019-10-11 09:34:30 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9fc8b685f9dec107ec6df721ebf3844b992fd8b1

tdf#42949 Fix IWYU warnings in embeddedobj/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 298 Commit Notification 2019-10-21 12:37:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3dfb4c47addcb076e874e2950050849d055a6f2d

tdf#42949 Fix IWYU warnings in xmlscript/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 299 Commit Notification 2019-10-22 07:25:31 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6dd4e88c41bca12c2b7a97aee1f078bba7873960

tdf#42949 Fix IWYU warnings in fpicker/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 300 Commit Notification 2019-10-25 08:16:00 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/07359ea21cf27e29d3e642d6ff1851155888a875

tdf#42949 Fix IWYU warnings in vcl/unx/gtk3 and gtk3_kde5/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 301 Commit Notification 2019-10-25 15:48:44 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fb1b461208e7a2760fa1c018db08606a9b3e435d

tdf#42949 Fix IWYU warning in include/vcl/window.hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 302 Commit Notification 2019-10-28 09:47:07 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/294b01d19b858dd476a429c8717e912ea316bfeb

tdf#42949 Fix IWYU warnings in accessibility/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 303 Commit Notification 2019-10-29 15:58:59 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c920592d2e431d96a1a8c5896a23d7dc59b01cf6

tdf#42949 Fix IWYU warnings in ucb/*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 304 Commit Notification 2019-10-30 09:36:07 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/be27538c6a13d6dd9343dc0092c841cfe8c3c3e5

tdf#42949 Fix IWYU warnings in canvas/source/*/*hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 305 Commit Notification 2019-10-31 10:30:11 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/977c9933535f62c729f2111e0734f8bd2263377b

tdf#42949 Fix IWYU warnings in cppcanvas/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 306 Commit Notification 2019-11-03 15:12:31 UTC
Tomoyuki Kubota committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f4544f3903fed3a656e3cd57e1bd83582e024b96

tdf#42949 restore vcl/canvastools.hxx for OSL_DEBUG_LEVEL > 2

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 307 Commit Notification 2019-11-05 07:40:37 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ee909ca2c02f949605f68720c3f1eef658502749

tdf#42949 Fix IWYU warnings in sw/source/core/d*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 308 Commit Notification 2019-11-06 13:24:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/969b55d8da528ea6295e5e9c56fae595bf3bd4ba

tdf#42949 Fix IWYU warnings in canvas/*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 309 Commit Notification 2019-11-07 10:39:14 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/48e79e529057b881805d0e5cc5e0dae07f530a0a

tdf#42949 Fix IWYU warnings in linguistic/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 310 Commit Notification 2019-11-08 08:24:38 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c6e7a70d2afea8b9641c515bf40c1e4c97e54bf5

tdf#42949 Fix IWYU warning in include/svx/svdotable.hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 311 Commit Notification 2019-11-11 08:49:13 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e4bf92ae344e0db16177de7fc9eed432339d8705

tdf#42949 Fix IWYU warnings in framework/*/*hxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 312 Commit Notification 2019-11-12 08:21:27 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7ddedd2594ddcaeed21f46709fdb44601ff641bf

tdf#42949 Fix IWYU warnings in basic/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 313 Commit Notification 2019-11-13 08:46:03 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/258e06cfffe7ceebb86cefa2413d6af476a972c6

tdf#42949 Fix IWYU warnings in sdext/

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 314 Commit Notification 2019-11-14 09:43:53 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/96b1934c03b6c06aa5d28c35cc1a55879d475b6d

tdf#42949 Fix IWYU warnings in sw/source/core/[e-l]*/*cxx

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 315 Commit Notification 2019-11-20 09:48:38 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0f25e181c1a8ccd8dd47475ed6ed63e37c841c13

tdf#42949 Fix IWYU warnings in framework/*/*cxx

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 316 Commit Notification 2019-11-21 09:00:01 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/64d8a71eb8ced0b701ba86e5cf066af48f98872f

tdf#42949 tdf#119699 Fix IWYU warnings in chart2/

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 317 Commit Notification 2019-11-22 09:43:10 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a2fbc48afdaf693f1a24e1de5cea21250bfab5ed

tdf#42949 Fix IWYU warnings in drawinglayer/

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 318 Commit Notification 2019-12-02 13:05:06 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/42c81ea2f837940085552ebcf2a385eb23d5fd89

tdf#42949 Fix IWYU warnings in sw/source/core/[o-t]*/*cxx

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 319 Commit Notification 2019-12-02 16:14:46 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/807e075a6184f7afc01a127abe77391238ab4163

tdf#42949 Replace property_tre/ptree.hpp with fw declaration header

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 320 Commit Notification 2019-12-03 09:55:50 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dca8173738bd8cde289cb6406e0f261955b0dbb7

tdf#42949 Fix IWYU warnings in sfx2/*/*hxx

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 321 Commit Notification 2019-12-06 10:54:17 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/05db09fbe9b9de79a61a5b699dbf93fa67d9bdfd

tdf#42949 Fix IWYU warnings in sw/source/core/[u-v]*/*cxx

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.